sc::ProcMessageGrp(3)

NAME
sc::ProcMessageGrp - ProcMessageGrp provides a concrete specialization of MessageGrp that supports only one node.

SYNOPSIS

#include <message.h>

Inherits sc::MessageGrp.

  Public Member Functions
ProcMessageGrp (const Ref< KeyVal > &)
Ref< MessageGrp > clone (void)
Returns a copy of this MessageGrp specialization that provides an independent communication context.
void raw_send (int target, const void *data, int nbyte)
void raw_sendt (int target, int type, const void *data, int nbyte)
void raw_recv (int sender, void *data, int nbyte)
void raw_recvt (int type, void *data, int nbyte)
void raw_bcast (void *data, int nbyte, int from)
int probet (int type)
Ask if a given typed message has been received.
void sync ()
Synchronize all of the processors.

Detailed Description

ProcMessageGrp provides a concrete specialization of MessageGrp that supports only one node.

Member Function Documentation

  Ref<MessageGrp> sc::ProcMessageGrp::clone (void) [virtual]

Returns a copy of this MessageGrp specialization that provides an independent communication context.

Implements sc::MessageGrp.

Author

Generated automatically by Doxygen for MPQC from the source code.